using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 通知日志
    /// </summary>
    [SugarTable("YB_NoticeLog", TableDescription = "通知日志", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_NoticeLog
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// IP地址
        /// </summary>
        [SugarColumn(ColumnDescription = "IP地址", ColumnDataType = "varchar(50)")]
        public System.String Ip { get; set; }

        /// <summary>
        /// UA信息
        /// </summary>
        [SugarColumn(ColumnDescription = "UA信息", ColumnDataType = "varchar(max)")]
        public System.String UA { get; set; }

        /// <summary>
        /// 参数额外信息
        /// </summary>
        [SugarColumn(ColumnDescription = "参数额外信息", ColumnDataType = "nvarchar(max)")]
        public System.String Info { get; set; }

        /// <summary>
        /// 用户信息
        /// </summary>
        [SugarColumn(ColumnDescription = "用户信息", ColumnDataType = "nvarchar(max)")]
        public System.String UserInfo { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        [SugarColumn(ColumnDescription = "来源", ColumnDataType = "varchar(100)")]
        public System.String FromInfo { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
